/////////////////////////////////////////////////////////////
// This source code is Copyright (C) David Wilkinson 1996.
// All rights reserved.
//
// For more information,
//
//    Email: davidw@cascade.demon.co.uk
//    URL:   http://www.netlink.co.uk/users/cascade/http/
//
/////////////////////////////////////////////////////////////

// $Id: HTTPConfigurationDefaultDocument.java,v 1.3 1996/08/04 15:22:33 davidw Exp $
//
// $Log: HTTPConfigurationDefaultDocument.java,v $
// Revision 1.3  1996/08/04 15:22:33  davidw
// Added copyright
//
// Revision 1.2  1996/05/06 15:37:25  davidw
// Made into package uk.co.demon.cascade.http
//
// Revision 1.1  1996/04/13 22:07:25  davidw
// Initial revision
//

package uk.co.demon.cascade.http;
import uk.co.demon.cascade.http.*;


import java.util.*;

public class HTTPConfigurationDefaultDocument implements ConfigurationClass
{
    private static String doc;

    static 	
    {
	doc = "index.html";
    }
	
    public boolean configure(Vector tokens) throws InvalidHTTPConfigurationException
    {
	if (tokens.size() < 2)
	{
	    throw (new InvalidHTTPConfigurationException("No document name specified")); 
	}

	doc = (String)tokens.elementAt(1);
	HTTPSystem.verbose("Adding DefaultDocument " + doc);
	
	return true;
    }


    public static String getDefaultDocument()
    {
	return doc;
    }
}



