/////////////////////////////////////////////////////////////
// This source code is Copyright (C) David Wilkinson 1996.
// All rights reserved.
//
// For more information,
//
//    Email: davidw@cascade.demon.co.uk
//    URL:   http://www.netlink.co.uk/users/cascade/http/
//
/////////////////////////////////////////////////////////////

// $Id: HTTPConfigurationInclude.java,v 1.2 1996/08/04 15:22:33 davidw Exp $
//
// $Log: HTTPConfigurationInclude.java,v $
// Revision 1.2  1996/08/04 15:22:33  davidw
// Added copyright
//
// Revision 1.1  1996/06/23 12:37:04  davidw
// Initial revision
//


package uk.co.demon.cascade.http;

import uk.co.demon.cascade.http.*;

import java.util.*;

public class HTTPConfigurationInclude implements ConfigurationClass
{
    public boolean configure(Vector tokens) throws InvalidHTTPConfigurationException
    {
	if (tokens.size() < 2)
	{
	    throw (new InvalidHTTPConfigurationException("No include files specified")); 
	}

	for (int i = 1; i < tokens.size(); i++)
	{
	    String file = (String)tokens.elementAt(i);
	    HTTPSystem.verbose("Including file " + file);
	    HTTPConfiguration config = new HTTPConfiguration(file);
	}

	
	// Don't need to preserve this class
	return false;
    }
}



