/////////////////////////////////////////////////////////////
// This source code is Copyright (C) David Wilkinson 1996.
// All rights reserved.
//
// For more information,
//
//    Email: davidw@cascade.demon.co.uk
//    URL:   http://www.netlink.co.uk/users/cascade/http/
//
/////////////////////////////////////////////////////////////

// $Id: LogQueueElement.java,v 1.2 1996/08/04 15:22:33 davidw Exp $
// 
// $Log: LogQueueElement.java,v $
// Revision 1.2  1996/08/04 15:22:33  davidw
// Added copyright
//
// Revision 1.1  1996/06/23 12:31:20  davidw
// Initial revision
//

package uk.co.demon.cascade.http;
import uk.co.demon.cascade.http.*;

import java.lang.*;
import java.io.*;
import java.util.*;


public class LogQueueElement
{
    private String value;
    private LogQueueElement next;
    private int id;

    private static int count;

    static
    {
	count = 0;
    }

    public LogQueueElement(String s)
    {
	value = s;
	next = null;
	id = count++;
    }

    public void setNext(LogQueueElement e)
    {
	//int i = -1;
	//if (e != null)
	//{
	//    i = e.getId();
	//}
	//HTTPSystem.debug(2, "LogQueueElement.setNext: " 
	//		 + getId() + " -> " + i);
	
	next = e;
    }

    public LogQueueElement getNext()
    {
	return next;
    }

    public int getId()
    {
	return id;
    }

    public String toString()
    {
	return value;
    }
}
